package com.community.huiju.dao;

import com.community.huiju.model.TpRentalHouse;
import com.community.huiju.model.TpRentalHouseImg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TpRentalHouseImgMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpRentalHouseImg record);

    int insertSelective(TpRentalHouseImg record);

    TpRentalHouseImg selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpRentalHouseImg record);

    int updateByPrimaryKey(TpRentalHouseImg record);

    /**
     * 查询出租房的列表图片
     * @param rentalHouseId
     * @return
     */
    List<TpRentalHouseImg> selectRentalHouseImg(@Param("rentalHouseId") Integer rentalHouseId, @Param("imgType") Integer imgType);
}